﻿$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://github.com/aandrew-me/ytDownloader/releases/download/v3.14.2/YTDownloader_Win.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  #file         = $fileLocation

  softwareName  = 'ytdownloader*'
  checksum      = '1060687f28d6d0488ec5e6ca320726082f0f2d3efec4c84f905e984a6d32889b' #sha256
  checksumType  = 'sha256'

  # MSI
  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs
